<?php

namespace WebSocket\Application;

/**
 * Hash on demand Application
 * 
 * @author Jérome Freyre <jerome.freyre@heig-vd.ch>
 */
class HashApplication extends Application
{
	/**
	 * Represent the client list
	 */
	private $clients = array();

	/**
	 * Will be called when a client connect.
	 */
	public function onConnect($client) {
		$this->clients[] = $client;
	}

	/**
	 * Will be called when a client disconnect.
	 */
	public function onDisconnect($client) {
		$key = array_search($client, $this->clients);
		if ($key) {
			unset($this->clients[$key]);
		}
	}

	/**
	 * Will be called when a client send data
	 */
	public function onData($data, $client) {
		/* Code should come here */
	}
}